> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a profile CV

> Upload a CV PDF or DOCX for a profile by sending the raw binary data in the request body. Maximum file size is 10 MB.



## OpenAPI

````yaml /openapi.json put /api/v1/profiles/{id}/cv_upload
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/profiles/{id}/cv_upload:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    put:
      tags:
        - Profiles
      summary: Upload a profile CV
      description: >-
        Upload a CV PDF or DOCX for a profile by sending the raw binary data in
        the request body. Maximum file size is 10 MB.
      operationId: cv_uploadProfileCvUpload
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
      requestBody:
        content:
          application/pdf:
            schema:
              type: string
              format: binary
          application/vnd.openxmlformats-officedocument.wordprocessingml.document:
            schema:
              type: string
              format: binary
      responses:
        '200':
          description: CV uploaded
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  cv_upload:
                    type: object
                    properties:
                      attached:
                        type: boolean
                      filename:
                        type: string
                        example: Jane Doe CV.pdf
                      content_type:
                        type: string
                        example: application/pdf
                      byte_size:
                        type: integer
                        example: 124000
                    additionalProperties: false
                    required:
                      - attached
                      - filename
                      - content_type
                      - byte_size
                additionalProperties: false
                required:
                  - message
                  - cv_upload
        '400':
          description: error
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: forbidden
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: not found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: validation error
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/ValidationError'
      security:
        - bearer_auth: []
components:
  schemas:
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
    ValidationError:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                example: '422'
              title:
                type: string
                example: Validation Error
              detail:
                type: string
                example: Label can't be blank
            required:
              - status
              - title
              - detail
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````